Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::CellRendererToggleSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::CellRendererToggle. More...

`#include <xfc/gtk/cellrenderertogglesignals.hh>`

Inheritance diagram for Xfc::Gtk::CellRendererToggleSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_toggled (const String &path)
    Called when the state of the CellRendererToggle is changed.

## Protected Member Functions

Constructors

- CellRendererToggleSignals (CellRendererToggle *cell)
    Construct a new CellRendererToggleSignals.
- virtual ~CellRendererToggleSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::CellRendererToggle.

## Constructor & Destructor Documentation

Xfc::Gtk::CellRendererToggleSignals::CellRendererToggleSignals | ( | CellRendererToggle * | cell | ) | `[protected]`

Construct a new CellRendererToggleSignals.

Parameters:

  | cell | A CellRendererToggle object inheriting the CellRendererToggleSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::CellRendererToggleSignals::on_toggled | ( | const String & | path | ) | `[virtual]`

Called when the state of the CellRendererToggle is changed.

Parameters:

  | path | A widget-dependent string representation of the event location (e.g. for Gtk::TreeView, a string representation of Gtk::TreePath).

The documentation for this class was generated from the following file:

- cellrenderertogglesignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3